com.ihr.xbrl.pojo

## Class XBRLConcept

- java.lang.Object
- - com.ihr.xbrl.pojo.XMLNode
  - - com.ihr.xbrl.pojo.XMLFragment
    - - com.ihr.xbrl.pojo.XBRLConcept

- All Implemented Interfaces:
    HasId, java.io.Serializable
  Direct Known Subclasses:
    XBRLItem, XBRLTuple

      public abstract class XBRLConcept
      extends XMLFragment

  The Class XBRLConcept.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLConcept()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `get_final()` Gets the _final.
    `java.lang.String` | `getBlock()` Gets the block.
    `java.lang.String` | `getConceptName()` Gets the concept name.
    `java.lang.String` | `getFixed()` Gets the fixed.
    `java.util.Set<XBRLRelationship>` | `getFrom()` Gets the from.
    `XBRLTaxonomy` | `getParent()` Gets the parent.
    `QName` | `getSubstitutionGroup()` Gets the substitution group.
    `java.util.Set<XBRLRelationship>` | `getTo()` Gets the to.
    `QName` | `getType()` Gets the type.
    `int` | `hashCode()` This is the java hashCode method.
    `boolean` | `is_abstract()` Checks if is _abstract.
    `boolean` | `isNillable()` Checks if is nillable.
    `void` | `set_abstract(boolean _abstract)` Sets the _abstract.
    `void` | `set_final(java.lang.String _final)` Sets the _final.
    `void` | `setBlock(java.lang.String block)` Sets the block.
    `void` | `setConceptName(java.lang.String conceptName)` Sets the concept name.
    `void` | `setFixed(java.lang.String fixed)` Sets the fixed.
    `void` | `setFrom(java.util.Set<XBRLRelationship> from)` Sets the from.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setNillable(boolean nillable)` Sets the nillable.
    `void` | `setParent(XBRLTaxonomy parent)` Sets the parent.
    `void` | `setSubstitutionGroup(QName substitutionGroup)` Sets the substitution group.
    `void` | `setTo(java.util.Set<XBRLRelationship> to)` Sets the to.
    `void` | `setType(QName type)` Sets the type.

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLFragment

      `addAttribute, addChildren, getAttributes, getChildren, getNamespaces, removeAttribute, removeChildren, setNamespaces`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLNode

      `getId, getName, getValue, setHash, setId, setName, setValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLConcept

          public XBRLConcept()

  - ### Method Detail

    - #### getConceptName

          public java.lang.String getConceptName()

      Gets the concept name.
      Returns:
        the conceptName

    - #### setConceptName

          public void setConceptName(java.lang.String conceptName)

      Sets the concept name.
      Parameters:
        `conceptName` - the conceptName to set

    - #### getSubstitutionGroup

          public QName getSubstitutionGroup()

      Gets the substitution group.
      Returns:
        the substitutionGroup

    - #### setSubstitutionGroup

          public void setSubstitutionGroup(QName substitutionGroup)

      Sets the substitution group.
      Parameters:
        `substitutionGroup` - the substitutionGroup to set

    - #### is_abstract

          public boolean is_abstract()

      Checks if is _abstract.
      Returns:
        the _abstract

    - #### set_abstract

          public void set_abstract(boolean _abstract)

      Sets the _abstract.
      Parameters:
        `_abstract` - the _abstract to set

    - #### get_final

          public java.lang.String get_final()

      Gets the _final.
      Returns:
        the _final

    - #### set_final

          public void set_final(java.lang.String _final)

      Sets the _final.
      Parameters:
        `_final` - the _final to set

    - #### getBlock

          public java.lang.String getBlock()

      Gets the block.
      Returns:
        the block

    - #### setBlock

          public void setBlock(java.lang.String block)

      Sets the block.
      Parameters:
        `block` - the block to set

    - #### getFixed

          public java.lang.String getFixed()

      Gets the fixed.
      Returns:
        the fixed

    - #### setFixed

          public void setFixed(java.lang.String fixed)

      Sets the fixed.
      Parameters:
        `fixed` - the fixed to set

    - #### getFrom

          public java.util.Set<XBRLRelationship> getFrom()

      Gets the from.
      Returns:
        the from

    - #### setFrom

          public void setFrom(java.util.Set<XBRLRelationship> from)

      Sets the from.
      Parameters:
        `from` - the from to set

    - #### isNillable

          public boolean isNillable()

      Checks if is nillable.
      Returns:
        the nillable

    - #### setNillable

          public void setNillable(boolean nillable)

      Sets the nillable.
      Parameters:
        `nillable` - the nillable to set

    - #### getParent

          public XBRLTaxonomy getParent()

      Gets the parent.
      Returns:
        the parent

    - #### setParent

          public void setParent(XBRLTaxonomy parent)

      Sets the parent.
      Parameters:
        `parent` - the parent to set

    - #### getTo

          public java.util.Set<XBRLRelationship> getTo()

      Gets the to.
      Returns:
        the to

    - #### setTo

          public void setTo(java.util.Set<XBRLRelationship> to)

      Sets the to.
      Parameters:
        `to` - the to to set

    - #### getType

          public QName getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(QName type)

      Sets the type.
      Parameters:
        `type` - the type to set

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `XMLFragment`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `XMLFragment`

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash